function::task_parent
Prev | Chapter 2. Context Functions | Next

## Name

function::task_parent — The task_struct of the parent task

## Synopsis

        task_parent:long(task:long)

## Arguments

`task`

  task_struct pointer

## Description

This function returns the parent task_struct of the given task. This address can be passed to the various task_*() functions to extract more task-specific data.

Prev | Up | Next
function::task_open_file_handles | Home | function::task_pid